Bug 864283 - could not set host net params via the bnx2i TOE mac address
could not set host net params via the bnx2i TOE mac address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Chris Leech
Fedora Extras Quality Assurance
: TestBlocker
Depends On:
Blocks: 884424
  Show dependency treegraph
 
Reported: 2012-10-08 23:48 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 884424 (view as bug list)
Environment:
Last Closed: 2014-02-05 07:30:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iscsi.log (152.83 KB, text/plain)
2012-10-08 23:50 EDT, Xiaowei Li
no flags Details

  None (edit)
Description Xiaowei Li 2012-10-08 23:48:49 EDT
Description of problem:
could not set host net params via the bnx2i TOE mac address


Version-Release number of selected component (if applicable):
kernel-3.6.0-3.fc18.x86_64
iscsi-initiator-utils-6.2.0.872-19.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.iscsiadm -m iface
default tcp,<empty>,<empty>,<empty>,<empty>
iser iser,<empty>,<empty>,<empty>,<empty>
bnx2i.e8:39:35:20:de:cf bnx2i,e8:39:35:20:de:cf,<empty>,<empty>,<empty>
bnx2i.e8:39:35:20:de:cd bnx2i,e8:39:35:20:de:cd,10.16.71.71,em2,iqn.1994-05.com.redhat:storageqe-11
2.iscsiadm -m discovery -t st -p 10.16.43.127 -I bnx2i.e8:39:35:20:de:cd --debug=9
===
iscsiadm: Connection to discovery portal 10.16.43.127 failed: internal error
iscsiadm: can not connect to iSCSI daemon (111)!
iscsiadm: uIP daemon is not up
iscsiadm: Could not set host net params (err 20)
===
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Xiaowei Li 2012-10-08 23:50:52 EDT
Created attachment 623878 [details]
iscsi.log
Comment 2 Xiaowei Li 2012-10-08 23:53:36 EDT
The host is booting from bnx2i L2(iBFT). So it should not be the environment issue.

# iscsiadm -m session -P1
Target: iqn.1992-08.com.netapp:sn.151753773
	Current Portal: 10.16.43.127:3260,1
	Persistent Portal: 10.16.43.127:3260,1
		**********
		Interface:
		**********
		Iface Name: default
		Iface Transport: tcp
		Iface Initiatorname: iqn.1994-05.com.redhat:storageqe-11
		Iface IPaddress: 10.16.67.73
		Iface HWaddress: <empty>
		Iface Netdev: <empty>
		SID: 1
		iSCSI Connection State: LOGGED IN
		iSCSI Session State: LOGGED_IN
		Internal iscsid Session State: NO CHANGE
Comment 3 Bruno Goncalves 2012-10-09 04:46:58 EDT
It seems iscsiuio is not starting automatically.

After run: iscsiuio the discovery works:
 iscsiadm -m discovery -t st -p 10.16.43.127 -I bnx2i.e8:39:35:20:de:cd -P1
iscsiadm: Could not set host net params (err 27)

iscsiadm: Connection to discovery portal 10.16.43.127 failed: internal error
iscsiadm: Connection to discovery portal 10.16.43.127 failed: encountered connection failure
iscsiadm: Connection to discovery portal 10.16.43.127 failed: encountered connection failure
iscsiadm: Connection to discovery portal 10.16.43.127 failed: encountered connection failure
Target: iqn.1992-08.com.netapp:sn.151753773
	Portal: 10.16.43.127:3260,1
		Iface Name: bnx2i.e8:39:35:20:de:cd
	Portal: 10.16.41.222:3260,1
		Iface Name: bnx2i.e8:39:35:20:de:cd



Although the login fails

iscsiadm -m node -l
Logging in to [iface: bnx2i.e8:39:35:20:de:cd, target: iqn.1992-08.com.netapp:sn.151753773, portal: 10.16.41.222,3260] (multiple)
Logging in to [iface: bnx2i.e8:39:35:20:de:cd, target: iqn.1992-08.com.netapp:sn.151753773, portal: 10.16.43.127,3260] (multiple)
iscsiadm: Could not login to [iface: bnx2i.e8:39:35:20:de:cd, target: iqn.1992-08.com.netapp:sn.151753773, portal: 10.16.41.222,3260].
iscsiadm: initiator reported error (5 - encountered iSCSI login failure)
iscsiadm: Could not login to [iface: bnx2i.e8:39:35:20:de:cd, target: iqn.1992-08.com.netapp:sn.151753773, portal: 10.16.43.127,3260].
iscsiadm: initiator reported error (5 - encountered iSCSI login failure)
iscsiadm: Could not log into all portals


ps -ef | grep iscsi
root       245     2  0 00:35 ?        00:00:00 [iscsi_eh]
root       517     2  0 00:36 ?        00:00:00 [iscsi_q_5]
root       986     1  0 00:36 ?        00:00:00 iscsid
root       987     1  0 00:36 ?        00:00:00 iscsid
root      1133     1  5 00:37 ?        00:00:20 iscsiuio
root      1269  1079  0 00:44 pts/0    00:00:00 grep --color=auto iscsi

from /var/log/messages
Oct  9 00:43:36 storageqe-11 iscsid: can not connect to iSCSI daemon (13)!
Oct  9 00:43:36 storageqe-11 iscsid: uIP daemon is not up
Comment 4 Xiaowei Li 2012-10-09 04:50:38 EDT
h/w configuration.

BCM5709 and set HBA disable mode in the BCM iscsi BIOS.
Comment 5 Xiaowei Li 2012-11-14 03:55:37 EST
any comments?
Comment 6 Fedora End Of Life 2013-12-21 04:04:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:30:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.